Index: trunk/SophyaLib/SkyT/Makefile
===================================================================
--- trunk/SophyaLib/SkyT/Makefile	(revision 2873)
+++ trunk/SophyaLib/SkyT/Makefile	(revision 3007)
@@ -16,5 +16,7 @@
   radspec.h specresp.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -35,5 +37,7 @@
   radspec.h specresp.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -48,5 +52,7 @@
   $(SOPHYAINCP)machdefs.h gaussfilt.h \
   specresp.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -57,8 +63,12 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  gaussfilt.cc
  
-$(SOPHYAOBJP)nupower.o: nupower.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nupower.h radspec.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
+$(SOPHYAOBJP)nupower.o: nupower.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nupower.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -69,8 +79,11 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nupower.cc
  
-$(SOPHYAOBJP)radspec.o: radspec.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)radspec.o: radspec.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h radspec.h \
   specresp.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -88,24 +101,31 @@
   radspec.h specresp.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  radspecvector.cc
  
-$(SOPHYAOBJP)skyinit.o: skyinit.cc $(SOPHYAINCP)sopnamsp.h \
-  skyinit.h $(SOPHYAINCP)ntoolsinit.h \
+$(SOPHYAOBJP)skyinit.o: skyinit.cc \
+  $(SOPHYAINCP)sopnamsp.h skyinit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -117,15 +137,21 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h specrespvector.h \
-  specresp.h $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h gaussfilt.h
+  $(SOPHYAINCP)machdefs.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h gaussfilt.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skyinit.cc
  
@@ -134,4 +160,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)integ.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -141,15 +168,18 @@
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  specresp.cc
  
@@ -158,21 +188,28 @@
   $(SOPHYAINCP)machdefs.h specrespvector.h \
   specresp.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)fioarr.h
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  specrespvector.cc
  
@@ -180,5 +217,6 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h squarefilt.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  squarefilt.cc
  
@@ -186,5 +224,6 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h trianglefilt.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  trianglefilt.cc
  
Index: trunk/SophyaLib/SkyT/smakefile
===================================================================
--- trunk/SophyaLib/SkyT/smakefile	(revision 2873)
+++ trunk/SophyaLib/SkyT/smakefile	(revision 3007)
@@ -16,5 +16,7 @@
   radspec.h specresp.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -35,5 +37,7 @@
   radspec.h specresp.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -48,5 +52,7 @@
   $(SOPHYAINCP)machdefs.h gaussfilt.h \
   specresp.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -57,8 +63,12 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  gaussfilt.cc
  
-$(SOPHYAOBJP)nupower.o: nupower.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nupower.h radspec.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
+$(SOPHYAOBJP)nupower.o: nupower.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nupower.h \
+  radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -69,8 +79,11 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nupower.cc
  
-$(SOPHYAOBJP)radspec.o: radspec.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)radspec.o: radspec.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h radspec.h \
   specresp.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -88,23 +101,31 @@
   radspec.h specresp.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  radspecvector.cc
  
-$(SOPHYAOBJP)skyinit.o: skyinit.cc $(SOPHYAINCP)sopnamsp.h \
-  skyinit.h $(SOPHYAINCP)ntoolsinit.h \
+$(SOPHYAOBJP)skyinit.o: skyinit.cc \
+  $(SOPHYAINCP)sopnamsp.h skyinit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -116,14 +137,21 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h specrespvector.h \
-  specresp.h $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h gaussfilt.h
+  $(SOPHYAINCP)machdefs.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h gaussfilt.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skyinit.cc
  
@@ -132,4 +160,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)integ.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -139,14 +168,18 @@
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  specresp.cc
  
@@ -155,20 +188,28 @@
   $(SOPHYAINCP)machdefs.h specrespvector.h \
   specresp.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)fioarr.h
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)tvector.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  specrespvector.cc
  
@@ -176,5 +217,6 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h squarefilt.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  squarefilt.cc
  
@@ -182,5 +224,6 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h trianglefilt.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h
+  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  trianglefilt.cc
  
